<?php
/**
 * The template for displaying search results pages.
 *
 * @package Norsani
 * @subpackage Themes
 * @since FrozrDash 1.0
 */

get_header(); ?>

<div data-role="page" id="search_results" class="content-area">
	<div <?php body_class(); ?> data-id="finde" style="display:none"><?php __( 'Search', 'frozrdash' ); ?></div>
	<?php frozr_general_search_result(); ?>
	<?php frozr_user_favs(); ?>	
	<main id="main" class="site-main" role="main">
	
	<?php if ( have_posts() ) : ?>

		<header class="page-header">
			<h1 class="page-title"><?php printf( __( 'Search Results for: %s', 'frozrdash' ), get_search_query() ); ?></h1>
		</header><!-- .page-header -->

		<?php
		// Start the loop.
		while ( have_posts() ) : the_post(); ?>

			<?php
			/*
			 * Run the loop for the search to output the results.
			 * If you want to overload this in a child theme then include a file
			 * called content-search.php and that will be used instead.
			 */
			get_template_part( 'content', 'search' );

		// End the loop.
		endwhile;

		// Previous/next page navigation.
		the_posts_pagination( array(
			'prev_text'          => __( 'Previous page', 'frozrdash' ),
			'next_text'          => __( 'Next page', 'frozrdash' ),
			'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'frozrdash' ) . ' </span>',
		) );

	// If no content, include the "No posts found" template.
	else :
		get_template_part( 'content', 'none' );

	endif;
	?>

	</main><!-- .site-main -->
	<?php frozr_footer(); ?>
</div><!-- .content-area -->
<?php get_footer();