<?php
/**
 * The template for displaying all single posts and attachments
 *
 * @package Norsani
 * @subpackage Themes
 * @since FrozrDash 1.0
 */

get_header(); ?>
<div data-role="page" id="single<?php echo mt_rand(); ?>" class="content-area">
	<div <?php body_class(); ?> data-id="finde" style="display:none"><?php echo get_the_title($post->ID); ?></div>
	<?php frozr_fixed_cart(true); ?>
	<?php frozr_general_search_result(); ?>
	<?php frozr_user_favs(); ?>
	<main class="site-main" role="main">
	<?php
	// Start the loop.
	while ( have_posts() ) : the_post();

		/*
		 * Include the post format-specific template for the content. If you want to
		 * use this in a child theme, then include a file called content-___.php
		 * (where ___ is the post format) and that will be used instead.
		 */
		get_template_part( 'content', get_post_format() );

		// If comments are open or we have at least one comment, load up the comment template.
		if ( comments_open() || get_comments_number() ) :
			comments_template();
		endif;

		// Previous/next post navigation.
		the_post_navigation( array(
			'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next', 'frozrdash' ) . '</span> ' .
				'<span class="screen-reader-text">' . __( 'Next post:', 'frozrdash' ) . '</span> ' .
				'<span class="post-title">%title</span>',
			'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Previous', 'frozrdash' ) . '</span> ' .
				'<span class="screen-reader-text">' . __( 'Previous post:', 'frozrdash' ) . '</span> ' .
				'<span class="post-title">%title</span>',
			'in_same_term' => true
		) );

	// End the loop.
	endwhile;
	?>

	</main><!-- .site-main -->
	<?php frozr_footer(); ?>
</div><!-- .content-area -->
<?php get_footer();